import { ContainerItemData, RoutingInfo } from './pconnect';
import { PCore } from './pcore';

declare global {
    interface Window { PCore: PCore<State> }
}

export interface State {
    data: { [key: string]: ContainerItemData };
    containers: { [key: string]: RoutingInfo };
}

export declare class Bootstrap {
    bootstrap(): void;
    bootstrapWithAuthHeader(config: BootstrapConfig, type: string): void;
    createCase(): void;
    loadAssignment(): void;
    loadCase(): void;
    loadComponent(): void;
    loadMashup(name: string, flag: boolean): void;
    loadPortal(name: string, portalId: string, arr: any[]): void;
    loadView(): void;
    loadViewByName(): void;
}

export interface BootstrapConfig {
    authorizationHeader: string;
    customRendering: boolean;
    restServerUrl: string;
    staticContentServerUrl: string;
    locale: string;
}
