
export interface AttachmentProps extends DefaultProps {
    value: {
        pxResults: PegaFile[];
        pyCategoryName: string;
        pyCount: string;
    },
    allowMultiple: string;
    caption: string;
    extensions: string;
}

export interface PegaFile {
    pxCreateDateTime: string;
    pxCreateOperator: string;
    pxRefObjectKey: string;
    pyAttachmentLink: string;
    pyAttachName: string;
    pyCategoryName: string;
    pyClassNameTemp: string;
    pyCleanedFileName: string;
    pyFileName: string;
    pyMimeFileExtension: string;
    pyTempText: string;
    pyThumbnailURL: string;
    pzInsKey: string;
}

export interface FlowContainerProps {
    visibility: boolean;
}

export interface DefaultProps {
    required: boolean;
    visibility: boolean;
    validatemessage: string;
    status: string;
    helperText: string;
    label: string;
    value: string;
    readOnly: boolean;
    disabled: boolean;
    placeholder: string;
    fieldMetadata?: {
        type: string;
        displayAs: string;
        isDeclarativeTarget: boolean;
    };
    currencyISOCode: string;
}

export interface CheckboxProps extends DefaultProps {
    caption: string;
}

export interface PicklistProps extends DefaultProps {
    datasource: { key: string, value: string }[];
    inline: boolean;
}